Name:          libffado
Version:       2.4.5
Release:       1mamba
Summary:       Free Firewire Audio Drivers Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://ffado.org/
Source0:       http://www.ffado.org/files/libffado-%{version}.tgz
Source1:       README.ffado
Patch4:        libffado-libconfig145.patch
Patch5:        libffado-python26.patch
Patch6:        libffado-2.0.1-gcc-4.7.patch
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libconfig-devel
BuildRequires: libdbus-c++-devel
BuildRequires: libdbus-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libiec61883-devel
BuildRequires: libpython3-devel
BuildRequires: libraw1394-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml++3-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libalsa-devel
BuildRequires: scons
BuildRequires: subversion
Requires:      ffado = %{?epoch:%epoch:}%{version}-%{release}

%description
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.
This package contains static libraries and header files needed for development.

%package -n ffado
Group:         Development/Libraries
Summary:       Applications and utilities for use with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      dbus
Requires:      python-dbus-py3
Requires:      PyQt5

%description -n ffado
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.
This package contains applications and utilities for use with %{name}.

%debug_package

%prep
%setup -q
#%patch4 -p1

cp -a %{SOURCE1} .

#sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/mixer-qt4/ffado-mixer.in
#sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/mixer-qt4/ffado-mixer-profiler.in
#sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/tools/ffado-diag.in
#sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/tools/ffado-diag-static

#for s in $(find . -name "*~"); do
#   	rm -rf $s
#done

%build
export CFLAGS="%{optflags} -ffast-math"
export CXXFLAGS="%{optflags} -ffast-math --std=gnu++11"

scons %{?_smp_mflags} \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
	MANDIR=%{_mandir} \
	UDEVDIR=%{_udevrulesdir} \
    ENABLE_SETBUFFERSIZE_API_VER=True \
    ENABLE_OPTIMIZATIONS=True \
    CUSTOM_ENV=True \
    BUILD_DOC=user \
	PYTHON_INTERPRETER=%{__python3} \
    BUILD_TESTS=0

#    PYUIC4=%{_bindir}/pyuic4 \
#    COMPILE_FLAGS="%{optflags} -ffast-math -lpthread" \

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

scons DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/applications
install -pm 644 support/xdg/ffado.org-ffadomixer.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
ln -s ../../../../libffado/icons/hi64-apps-ffado.png \
	%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/ffado.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n ffado
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n ffado
if [ $1 -eq 0 ] ; then
     touch --no-create %{_datadir}/icons/hicolor &>/dev/null
     gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
:

%posttrans -n ffado
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_libdir}/libffado.so.*
%dir %{_datadir}/libffado
%{_datadir}/libffado/configuration
%doc AUTHORS LICENSE.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libffado
%{_includedir}/libffado/ffado.h
%{_libdir}/libffado/static_info.txt
%{_libdir}/libffado.so
%{_libdir}/pkgconfig/libffado.pc
%doc ChangeLog README README.ffado

%files -n ffado
%defattr(-,root,root)
%{_udevrulesdir}/60-ffado.rules
%{_bindir}/ffado-bridgeco-downloader
%{_bindir}/ffado-dbus-server
%{_bindir}/ffado-diag
%{_bindir}/ffado-dice-firmware
%{_bindir}/ffado-fireworks-downloader
%{_bindir}/ffado-mixer
%{_bindir}/ffado-set-nickname
%{_datadir}/libffado/*.xml
%{_datadir}/applications/ffado.org-ffadomixer.desktop
%{_datadir}/metainfo/ffado-mixer.appdata.xml
%{_datadir}/dbus-1/services/org.ffado.Control.service
%{_datadir}/icons/hicolor/64x64/apps/ffado.png
%{_datadir}/libffado/icons/hi64-apps-ffado.png
%dir %{python3_sitelib}/ffado
%{python3_sitelib}/ffado/*.py*
%{python3_sitelib}/ffado/*.ui
%dir %{python3_sitelib}/ffado/mixer
%{python3_sitelib}/ffado/mixer/*.py*
%{python3_sitelib}/ffado/mixer/*.ui
%dir %{python3_sitelib}/ffado/widgets
%{python3_sitelib}/ffado/widgets/*.py*
%{_mandir}/man1/ffado-*.1*

%changelog
* Sun Feb 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.5-1mamba
- update to 2.4.5

* Fri Mar 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-3mamba
- rebuilt against legact libxml++3

* Tue Mar 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-2mamba
- rebuilt by autoport with build requirements: libxml++-devel>=5.0.0-1mamba

* Wed Dec 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-1mamba
- update to 2.4.4

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- python 2.7 mass rebuild

* Fri Oct 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-3mamba
- rebuild (added gcc 4.7 patch)

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-2mamba
- imported from milestone1-contrib to devel

* Sat Oct 02 2010 gil <puntogil@libero.it> 2.0.1-1mamba
- package created by autospec
